/**
 * 
 */
package sim.physics;

/**
 * La classe <b>SPhysic</b> reprsente une classe utilitaire en lien avec des concepts de physique. 
 * 
 * @author Simon Vezina
 * @since 2016-02-11
 * @version 2016-02-15
 */
public class SPhysics {

  //--------------
  // CONSTANTES //
  //--------------
  
  /**
   * La constante <b>c</b> reprsente la <b>vitesse de la lumire</b> tant gale  <b>{@value} m/s</b>.
   */
  public static final double c = 299792458; 
  
  /**
   * La constante <b>k</b> reprsente la <b>constante de Coulomb</b> tant gale  <b>{@value} Nm^2/C^2</b>.
   */
  public static final double k = 9e9;
  
}//fin de la classe SPhysics
